@echo off
rem wakepup2 0.2 (C) 2006, Paul Akterstam ('pakt' on Puppy Linux Forum)
rem Boot diskette for Puppy 2.xx series. For Puppy 1.xx series, use wakepup
rem This version for IDE/USB drives (built-in or external CD-ROM, HD and flash)
rem Inspired by Barry Kauler's BOOT2PUP (http://www.puppyos.com)
rem Except for the drivers, uses only GPL'd software or freeware
rem Requires FreeDOS & FreeCOM

rem This program is distributed in the hope that it will be useful, but
rem WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
rem General Public License for more details.

rem The GNU General Public License is available from http://www.fsf.org/
rem or, write to the Free Software Foundation, Inc., 59 Temple Place,
rem Suite 330, Boston, MA 02111 USA

echo.
echo   ***  wakepup2 0.2 by pakt - Boot Puppy2 Linux from IDE/USB drives  ***
rem Pause here so USB driver messages can be read...
echo Pausing for driver messages. Press any key to continue or Ctrl-C to abort...
pause >NUL

rem Init
cls
set drv=

rem Using SHSUCDX.COM 3.03, a freeware replacement for MSCDEX.EXE
rem Assign 1st IDE-CD to drive X:, 2nd (if found) to drive Y: and USB-CD to drive Z:
driver\SHSUCDX /D:?IDE-CD,X,,2 /d:?USB-CD,Z,,1 /QQ

:ideyorn
echo.
echo *********************************************************************
echo *                     Select Puppy2 idehd usb or cd                 *
echo *********************************************************************
echo *                                                                   *
echo *  1. search idehd boot                                             *
echo *                                                                   *
echo *  2. search for usbhd boot                                         *
echo *                                                                   *
echo *  3. search for usbflash boot                                      *
echo *                                                                   *
echo *  4. search for cd boot                                            *
echo *                                                                   *
echo *********************************************************************
echo.
choice /C:1234 Please choose :
if "%errorlevel%"=="1" goto try_idehd
if "%errorlevel%"=="2" goto try_usbhd
if "%errorlevel%"=="3" goto try_usbflash
if "%errorlevel%"=="4" goto try_cd

:try_idehd
echo.
echo Checking any IDE drive for marker file IDEHD...
for %%x in ( C D E F G H I J K L M N O P Q R S T U V W ) do if exist %%x:\idehd set drv=%%x:
if "%drv%"=="" goto failed
set media=idehd
goto optmenu

:try_usbhd
echo.
echo Checking any USB drive for marker file USBHD...
for %%x in ( C D E F G H I J K L M N O P Q R S T U V W ) do if exist %%x:\usbhd set drv=%%x:
if "%drv%"=="" goto failed
set media=usbhd
goto optmenu

:try_usbflash
echo.
echo Checking any USB drive for marker file USBFLASH...
for %%x in ( C D E F G H I J K L M N O P Q R S T U V W ) do if exist %%x:\usbflash set drv=%%x:
if "%drv%"=="" goto failed
set media=usbflash
goto optmenu

:try_cd
echo.
echo Checking IDE or USB CD-ROM drive for file INITRD.GZ...
for %%x in ( X Y Z ) do if exist %%x:\initrd.gz set drv=%%x:
if "%drv%"=="" goto failed
if "%drv%"=="X:" set media=idecd
if "%drv%"=="Y:" set media=idecd
if "%drv%"=="Z:" set media=usbcd

:optmenu
echo ...file found on %media%, drive %drv%
echo.
echo *********************************************************************
echo *                      Select Puppy2 boot option                    *
echo *********************************************************************
echo *                                                                   *
echo *  1. acpi=on      Default for newer PCs (made 2002 or later)       *
echo *                                                                   *
echo *  2. acpi=off     For older PCs, or use if acpi=on causes problems *
echo *                                                                   *
echo *  3. acpi=force   Needed to force acpi=on on older PCs             *
echo *                                                                   *
echo *********************************************************************
echo.
choice /C:123 Please choose :
if "%errorlevel%"=="1" set acpi=acpi=on
if "%errorlevel%"=="2" set acpi=acpi=off
if "%errorlevel%"=="3" set acpi=acpi=force
echo ...file found on %media%, drive %drv%, acpi %acpi%
:rammenu
echo.
echo ***************************************************************
echo *                     Select Puppy2 ram or not                *
echo ***************************************************************
echo *                                                             *
echo *  1. ram                                                     *
echo *                                                             *
echo *  2. lookforsave                                             *
echo *                                                             *
echo ***************************************************************
echo.
choice /C:12 Please choose :
if "%errorlevel%"=="1" goto rm1
if "%errorlevel%"=="2" goto rm2

:rm1
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo.
set append=root=/dev/ram0 pfix=ram PMEDIA=%media% %acpi%
goto ram

:rm2
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo.
set append=root=/dev/ram0 PMEDIA=%media% %acpi%

:ram
echo...press a key
pause >NUL

:vmmenu
echo.
echo ***************************************************************
echo *                     Select Puppy2 vmlinuz                   *
echo ***************************************************************
echo *                                                             *
echo *  1. vmlinuz                                                 *
echo *                                                             *
echo *  2. vmlinuz2                                                *
echo *                                                             *
echo *  3. vmlinuz in a folder 201se                               *
echo *                                                             *
echo *  4. vmlinuz puppy 1 series                                  *
echo *                                                             *
echo *  5. vmlinuz micromuppy 1 series                             *
echo *                                                             *
echo *  6. vmlinuz micromuppy 1 series                             *
echo *                                                             *
echo *  7. vmlinuz micromuppy 1 series                             *
echo *                                                             *
echo *  8. vmlinuz micromuppy 1 series nopfile                     *
echo *                                                             *
echo *  9. dos prompt                                              *
echo *                                                             *
echo ***************************************************************
echo.
choice /C:123456789 Please choose :
if "%errorlevel%"=="1" goto vm1
if "%errorlevel%"=="2" goto vm2
if "%errorlevel%"=="3" goto vm3
if "%errorlevel%"=="4" goto vm4
if "%errorlevel%"=="5" goto vm5
if "%errorlevel%"=="6" goto vm6
if "%errorlevel%"=="7" goto vm7
if "%errorlevel%"=="8" goto vm8
if "%errorlevel%"=="9" goto vm9

:vm1
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo.
LINLD.COM image=%drv%\vmlinuz initrd=%drv%\initrd.gz "cl=%append%"
goto end

:vm2
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo.
LINLD.COM image=%drv%\vmlinuz2 initrd=%drv%\initrd.gz "cl=%append%"
goto end

:vm3
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo.
LINLD.COM image=%drv%\boot\p201sea\vmlinuz initrd=%drv%\boot\p201sea\initrd.gz "cl=%append%"
goto end

:vm4
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo.
LINLD.COM image=%drv%\vmlinuz initrd=%drv%\image.gz "cl=%append%"
goto end

:vm5
echo ...file found on %media%, drive %drv%, acpi %acpi%
set append=root=/dev/ram0 acpi=off PFILE=no ramdisk_size=29000
echo.
LINLD.COM image=%drv%\vmlinuz initrd=%drv%\image.gz "cl=%append%"
goto end

:vm6
echo ...file found on %media%, drive %drv%, acpi %acpi%
set append=root=/dev/ram0 acpi=off ramdisk_size=29000
echo.
LINLD.COM image=%drv%\vmlinuz initrd=%drv%\image.gz "cl=%append%"
goto end

:vm7
echo ...file found on %media%, drive %drv%, acpi %acpi%
set append=root=/dev/ram0 acpi=off PFILE=ask
echo.
LINLD.COM image=%drv%\vmlinuz initrd=%drv%\image.gz "cl=%append%"
goto end

:vm8
echo ...file found on %media%, drive %drv%, acpi %acpi%
set append=root=/dev/ram0 acpi=off PFILE=no ramdisk_size=29000
echo.
LINLD.COM image=%drv%\vmlinuz initrd=%drv%\image.gz root=/dev/ram0 acpi=off PFILE=no ramdisk_size=29000
goto end

:vm9
echo ...file found on %media%, drive %drv%, acpi %acpi%
echo .going to prompt
goto end

:failed
echo.
type FAILMSG.TXT

:end
